Skip to content
Teak
Esc
navigateopen⌘Jpreview

Get a card

GET/v1/cards/{cardId}
Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequired
Bearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.
Path parameters
cardIdstringrequired
Responses
200Card details
aiSummarystring | null
aiTagsstring[]required
appUrlstring<uri>required
contentstringrequired
createdAtnumberrequired
fileExtensionstring | null
fileKindstring | null
fileLanguagestring | null
fileNamestring | null
filePreviewobject | null
fileSizenumber | null
fileUrlstring | null
idstringrequired
isFavoritedbooleanrequired
linkPreviewImageUrlstring | null
metadataDescriptionstring | null
metadataTitlestring | null
mimeTypestring | null
notesstring | null
screenshotUrlstring | null
tagsstring[]required
thumbnailUrlstring | null
typestringrequired
updatedAtnumberrequired
urlstring | null
Request
curl -X GET "https://teakvault.com/api/v1/cards/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "aiSummary": "string",
  "aiTags": [
    "string"
  ],
  "appUrl": "<uri>",
  "content": "string",
  "createdAt": 0,
  "fileExtension": "string",
  "fileKind": "string",
  "fileLanguage": "string",
  "fileName": "string",
  "filePreview": {},
  "fileSize": 0,
  "fileUrl": "string",
  "id": "string",
  "isFavorited": true,
  "linkPreviewImageUrl": "string",
  "metadataDescription": "string",
  "metadataTitle": "string",
  "mimeType": "string",
  "notes": "string",
  "screenshotUrl": "string",
  "tags": [
    "string"
  ],
  "thumbnailUrl": "string",
  "type": "string",
  "updatedAt": 0,
  "url": "string"
}